Subject: Re: bug#77924: 31.0.50; [Feature branch] Change marker implementation

From: Gerd Möllmann <[email-masked]>
Date: Wed, 23 Apr 2025 18:23:49 +0200

Stefan Monnier <[email-masked]> writes:

> Gerd and I played with some micro benchmarks to confirm that the
> pathological behaviors are indeed solved, but other than that, the focus
> was on making sure the branch does not make the normal case slower
> (contrary to my sorted-array-of-markers-with-gap).

And, not to forget, it removed the cache markers which piled up a bit in
igc. That was actually my original motivation at the beginning.

Very nice, but so far only for. And, I don't know if that's wishful
thinking, but it feels a bit snappier in interactive use.